[Ifeffit] Larch-0.9.24 with Python2

Matt Newville newville at cars.uchicago.edu
Tue Nov 4 11:59:21 CST 2014


Hi Matthias,

Hmm, looking at this more closely, my guess is that you're using an
older version scipy than I am.   Can you verify what scipy version you
have?

That is, I do see that the return value for this call did change
sometime in the past 2 years, though I'm not sure exactly which
version.  I'll try to commit a patch to allow this older version to
github today.  But, I suspect that older scipy versions might cause
other problems.

I should probably put in a more exact check for required scipy version.

--Matt



More information about the Ifeffit mailing list